<template>
  <ul class="ErrorWrapper">
    <li
      v-for="error in errors"
      :key="error.message"
      class="ErrorWrapper__Item p-error"
    >
      {{ error }}
    </li>
  </ul>
</template>
<script lang="ts" setup>
import { FieldErrors } from '@/components/form/validation'

defineProps<{ errors: FieldErrors }>()
</script>
<style lang="scss">
.ErrorWrapper {
  padding: 0;
  list-style: none;
  font-size: 0.8em;
}
</style>
